# ---------------------------------------------------------------------------
VERSION = BCB.01
# ---------------------------------------------------------------------------
!ifndef BCB
BCB = $(MAKEDIR)\..
!endif
# ---------------------------------------------------------------------------
PROJECT = QSnews.exe
OBJFILES = QSnews.obj QSnews\QSnewsVer.obj QSnews\NewsMain.obj \
   qsnews\NewsManDlgs.obj QSnews\NewsProfDlgs.obj QSnews\NewsGrpDlgs.obj \
   QSnews\NewsPasDlgs.obj QSnews\NewsNewDlgs.obj QSshared\MsgBoxDlgs.obj \
   QSshared\View.obj QSshared\FileMan.obj QSshared\HeadMan.obj \
   QSshared\Mixmaster.obj QSshared\Global.obj
RESFILES = QSnews\QSnews.res
RESDEPEN = $(RESFILES) QSnews\NewsMain.dfm qsnews\NewsManDlgs.dfm \
   QSnews\NewsProfDlgs.dfm QSnews\NewsGrpDlgs.dfm QSnews\NewsPasDlgs.dfm \
   QSnews\NewsNewDlgs.dfm QSshared\MsgBoxDlgs.dfm QSshared\View.dfm
LIBFILES =
DEFFILE =
# ---------------------------------------------------------------------------
CFLAG1 = -Od -Hc -w -k -r- -y -v -vi- -c -a4 -b- -w-par -w-inl -Vx -Ve -x
CFLAG2 = -I.\qsnews;.\qsshared;$(BCB)\lib\misc;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl \
   -H=$(BCB)\lib\vcld.csm
PFLAGS = -AWinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE \
   -U.\qsnews;.\qsshared;$(BCB)\lib\misc;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\lib\obj;$(BCB)\lib \
   -I.\qsnews;.\qsshared;$(BCB)\lib\misc;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl \
   -v -$Y -$W -$O- -JPHNV -M
RFLAGS = -i.\qsnews;.\qsshared;$(BCB)\lib\misc;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl
LFLAGS = -L.\qsnews;.\qsshared;$(BCB)\lib\misc;$(BCB)\3rdparty\ics\delphi\vc32;$(BCB)\lib\obj;$(BCB)\lib \
   -aa -Tpe -x -v -V4.0
IFLAGS =
LINKER = ilink32
# ---------------------------------------------------------------------------
ALLOBJ = c0w32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) vcl.lib import32.lib cp32mt.lib
# ---------------------------------------------------------------------------
.autodepend

$(PROJECT): $(OBJFILES) $(RESDEPEN) $(DEFFILE)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES)
!

.pas.hpp:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.pas.obj:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.cpp.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $*

.c.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $**

.rc.res:
    $(BCB)\BIN\brcc32 $(RFLAGS) $<
#-----------------------------------------------------------------------------

